summaryrefslogtreecommitdiff
path: root/sci-mathematics
diff options
context:
space:
mode:
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/octave/Manifest6
-rw-r--r--sci-mathematics/octave/files/octave-3.4.3-help.patch13
-rw-r--r--sci-mathematics/octave/files/octave-3.4.3-pkgbuilddir.patch44
-rw-r--r--sci-mathematics/octave/files/octave-3.4.3-texi.patch11
-rw-r--r--sci-mathematics/octave/metadata.xml18
-rw-r--r--sci-mathematics/octave/octave-3.6.3.ebuild122
6 files changed, 214 insertions, 0 deletions
diff --git a/sci-mathematics/octave/Manifest b/sci-mathematics/octave/Manifest
new file mode 100644
index 00000000..dc1382d2
--- /dev/null
+++ b/sci-mathematics/octave/Manifest
@@ -0,0 +1,6 @@
+AUX octave-3.4.3-help.patch 579 SHA256 786d6a265d9efa5c606ad84b8d957cf6d0143dae1667d5848ac323e2746d7c77 SHA512 322f8513f71a2769510d759865f1476a3263f11f81885c2e6da75fbb157f87e9fe4c0a0e23032521b082fc70cc0d4b86e52855b6e19d077de266da59d295299a WHIRLPOOL e5ad17c2337c307bbb06f76b71448fd383bbfd5538f3f4d79a5cf2ee0ed80d522b5d933cf523e31560f2d6765e5ebf53b8a1eca9932f53f279f87c42eaf85cc8
+AUX octave-3.4.3-pkgbuilddir.patch 1532 SHA256 5f771b92de6994e267d5f8b1abe7733cb75e9c0cb936728fc31fac3369b78093 SHA512 a6612c26d20c82181e7e1530a4d0cf342ee9f127711c37e44b7a48bfb90eb5d8347cbf424edb951c24ad81645d492814e772aea6bdb027f4eac12fbb4c4bd26f WHIRLPOOL 9863475237b1d8ed2a381ed5ea87f4831b53425f824b489adf83c4db256f608a40fc44f5c111139789a43c3dfa2df6266ab6ac856f12e324392230d580cbd4f2
+AUX octave-3.4.3-texi.patch 375 SHA256 91fb6bfb0825e8159fa38c1f2113a1fc831c3156f0674f49145e6f0f83ff43e7 SHA512 d6d917f421c5c51dd02d01599d312d03d3f1dbec029862fcab5268527f95d8ffe18db86dbc56827b6a8741fb08856ab66a68e6fa965a90397d3a22a14e87b5b8 WHIRLPOOL 0ef4ccd18689190240064cc8fac7df52b7ffb3993b5a8ffb8591e922b935387864723d4cb58d6e0f9be72c1912cca7e49322c5f6098912868c7ae2f6b2ae826b
+DIST octave-3.6.3.tar.bz2 15602522 SHA256 e37d09550f1cb406745619a5602aa3e8a97d2fe056b5c770db9984e2fc162886 SHA512 27caf2061e32e3a50478441f7795953fbfa4d876277fa91f657d61811389c1ca96a1b956852c1957724dbc0f8a187189a537b4254f9b3b6ac8d3a4f897435de4 WHIRLPOOL a2433d957e7a97f9627f4a472f9c3ce59ba09ca1aac3d58db30e0e10bcfd3da1e123174943a7c4fb3594b843eed8d3b0c7ff33301a05a11561e4611a9295a4f3
+EBUILD octave-3.6.3.ebuild 3207 SHA256 30f0da21da24e26ecb957b4dd74b1d0b55e72bbd1852377d4fe0e4bd5b09f3f1 SHA512 c63381f7b2da4d1f8eca363bb953a99be4250cc4af25b47ea188f9f81f1d918a0a36ab5c7ce5909706df9bf786fbddaaf65ad3a98a547c9927f901935c10015d WHIRLPOOL 4d6888c550f31825639717824ab4f5fa2af9936f2550768211a5da3eb67b78accc22550c1047ee0d6289b503da68169759c9cb79ce1ca4686992c068712054bf
+MISC metadata.xml 928 SHA256 6314fe7f4dfc713b292c7ff071c186873989e3d8b08d0637e20f7c52bb4dc4ef SHA512 d17cff883a7f83762e7f5d325b273820aa26d37cf4e2c167a4ad124330a182735f0e9bdd26be7493a8f78187adf007b89ddb73abba26b0fa0ff8e873d2abf53d WHIRLPOOL b3803f8afcb8ddeb38a25b2709e7a8aba95b588e445205afff1e971d1387e0f226079336b6d8794a6877526d59a893d4d95b82a947aac2b73fc567cab4fd47db
diff --git a/sci-mathematics/octave/files/octave-3.4.3-help.patch b/sci-mathematics/octave/files/octave-3.4.3-help.patch
new file mode 100644
index 00000000..c0e693ab
--- /dev/null
+++ b/sci-mathematics/octave/files/octave-3.4.3-help.patch
@@ -0,0 +1,13 @@
+Help parallel compilation
+patch by Sebastien Fabbro
+--- scripts/Makefile.am.orig 2011-06-09 22:27:22.688268651 +0100
++++ scripts/Makefile.am 2011-02-08 10:00:51.000000000 +0000
+@@ -316,7 +316,7 @@
+
+ gethelp_SOURCES = gethelp.cc
+
+-.DOCSTRINGS: $(FCN_FILES) $(GEN_FCN_FILES) mkdoc $(gethelp_SOURCES) Makefile
++.DOCSTRINGS: $(FCN_FILES) $(GEN_FCN_FILES) mkdoc $(gethelp_SOURCES) Makefile gethelp
+ @$(MAKE) $(AM_MAKEFLAGS) gethelp$(BUILD_EXEEXT)
+ if [ "x$(srcdir)" != "x." ] && [ -f $(srcdir)/DOCSTRINGS ] && [ ! -f DOCSTRINGS ]; then \
+ cp $(srcdir)/DOCSTRINGS DOCSTRINGS; \
diff --git a/sci-mathematics/octave/files/octave-3.4.3-pkgbuilddir.patch b/sci-mathematics/octave/files/octave-3.4.3-pkgbuilddir.patch
new file mode 100644
index 00000000..5340c9a1
--- /dev/null
+++ b/sci-mathematics/octave/files/octave-3.4.3-pkgbuilddir.patch
@@ -0,0 +1,44 @@
+Description: Allow installation of already extracted packages with pkg.m
+Forwarded: not-needed
+Author: Thomas Weber <tweber@debian.org>
+--- scripts/pkg/pkg.m.orig 2011-02-08 03:00:51.000000000 -0700
++++ scripts/pkg/pkg.m 2011-03-18 09:31:24.670165643 -0600
+@@ -644,7 +644,14 @@
+ for i = 1:length (files)
+ tgz = files{i};
+
+- if (exist (tgz, "file"))
++ ## The filename pointed to an uncompressed package to begin with.
++ if (exist (tgz, "dir"))
++ if (tgz(1) == '/')
++ packdir = tgz;
++ else
++ packdir = fullfile (pwd(), tgz);
++ endif
++ elseif (exist (tgz, "file"))
+ ## Create a temporary directory.
+ tmpdir = tmpnam ();
+ tmpdirs{end+1} = tmpdir;
+@@ -671,20 +678,12 @@
+ if (length (dirlist) > 3)
+ error ("bundles of packages are not allowed");
+ endif
+- endif
+
+- ## The filename pointed to an uncompressed package to begin with.
+- if (exist (tgz, "dir"))
+- dirlist = {".", "..", tgz};
++ ## The two first entries of dirlist are "." and "..".
++ packdir = fullfile (tmpdir, dirlist{3});
+ endif
+
+ if (exist (tgz, "file") || exist (tgz, "dir"))
+- ## The two first entries of dirlist are "." and "..".
+- if (exist (tgz, "file"))
+- packdir = fullfile (tmpdir, dirlist{3});
+- else
+- packdir = fullfile (pwd(), dirlist{3});
+- endif
+ packdirs{end+1} = packdir;
+
+ ## Make sure the package contains necessary files.
diff --git a/sci-mathematics/octave/files/octave-3.4.3-texi.patch b/sci-mathematics/octave/files/octave-3.4.3-texi.patch
new file mode 100644
index 00000000..661ddae4
--- /dev/null
+++ b/sci-mathematics/octave/files/octave-3.4.3-texi.patch
@@ -0,0 +1,11 @@
+--- doc/interpreter/Makefile.am.orig 2012-01-31 17:47:52.000000000 +0000
++++ doc/interpreter/Makefile.am 2012-01-31 17:49:37.000000000 +0000
+@@ -202,6 +202,8 @@
+ $(AWK) -f $(srcdir)/mkcontrib.awk $(srcdir)/contributors.in > $@-t
+ mv $@-t $@
+
++preface.texi: contributors.texi
++
+ ../../AUTHORS: preface.texi contributors.texi
+ rm -f AUTHORS
+ -$(MAKEINFO) -D AUTHORSONLY \
diff --git a/sci-mathematics/octave/metadata.xml b/sci-mathematics/octave/metadata.xml
new file mode 100644
index 00000000..0cbda792
--- /dev/null
+++ b/sci-mathematics/octave/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-mathematics</herd>
+<longdescription lang='en'>
+ Octave is a high-level language, primarily intended for numerical
+ computations. It provides a convenient command line interface for
+ solving linear and nonlinear problems numerically, and for performing
+ other numerical experiments. It may also be used as a batch-oriented
+ language.
+</longdescription>
+<use>
+ <flag name='glpk'>Add support for <pkg>sci-libs/glpk</pkg> for linear programming</flag>
+ <flag name='qhull'>Add support for <pkg>sci-libs/qhull</pkg>, to allow `delaunay', `convhull', and related functions</flag>
+ <flag name='qrupdate'>Add support for <pkg>sci-libs/qrupdate</pkg>for QR and Cholesky update functions. </flag>
+ <flag name='sparse'>Add enhanced support for sparse matrix algebra</flag>
+</use>
+</pkgmetadata>
diff --git a/sci-mathematics/octave/octave-3.6.3.ebuild b/sci-mathematics/octave/octave-3.6.3.ebuild
new file mode 100644
index 00000000..cee10e1f
--- /dev/null
+++ b/sci-mathematics/octave/octave-3.6.3.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/octave/octave-3.6.3.ebuild,v 1.1 2012/10/26 18:27:13 bicatali Exp $
+
+EAPI=4
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils toolchain-funcs fortran-2
+
+DESCRIPTION="High-level interactive language for numerical computations"
+LICENSE="GPL-3"
+HOMEPAGE="http://www.octave.org/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
+
+SLOT="0"
+IUSE="curl doc fftw +glpk gnuplot hdf5 +imagemagick opengl +qhull +qrupdate
+ readline +sparse static-libs X zlib"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-fbsd ~x86-linux"
+
+RDEPEND="dev-libs/libpcre
+ app-text/ghostscript-gpl
+ sys-libs/ncurses
+ virtual/lapack
+ curl? ( net-misc/curl )
+ fftw? ( sci-libs/fftw:3.0 )
+ glpk? ( sci-mathematics/glpk )
+ gnuplot? ( sci-visualization/gnuplot )
+ hdf5? ( sci-libs/hdf5 )
+ imagemagick? ( || (
+ media-gfx/graphicsmagick[cxx]
+ media-gfx/imagemagick[cxx] ) )
+ opengl? (
+ media-libs/freetype:2
+ media-libs/fontconfig
+ >=x11-libs/fltk-1.3:1[opengl] )
+ qhull? ( media-libs/qhull )
+ qrupdate? ( sci-libs/qrupdate )
+ readline? ( sys-libs/readline )
+ sparse? (
+ sci-libs/arpack
+ sci-libs/camd
+ sci-libs/ccolamd
+ sci-libs/cholmod
+ sci-libs/colamd
+ sci-libs/cxsparse
+ sci-libs/umfpack )
+ X? ( x11-libs/libX11 )
+ zlib? ( sys-libs/zlib )"
+
+DEPEND="${RDEPEND}
+ doc? (
+ virtual/latex-base
+ dev-texlive/texlive-genericrecommended
+ sys-apps/texinfo )
+ dev-util/gperf
+ virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.4.3-{pkgbuilddir,help,texi}.patch )
+
+src_prepare() {
+ # nasty prefix hack for fltk:1 linking
+ if use prefix && use opengl; then
+ sed -i \
+ -e "s:ldflags\`:ldflags\` -Wl,-rpath,${EPREFIX}/usr/$(get_libdir)/fltk-1:" \
+ configure.ac
+ fi
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ # occasional fail on install, force regeneration (bug #401189)
+ rm doc/interpreter/contributors.texi || die
+
+ local myconf="--without-magick"
+ if use imagemagick; then
+ if has_version media-gfx/graphicsmagick[cxx]; then
+ myconf="--with-magick=GraphicsMagick"
+ else
+ myconf="--with-magick=ImageMagick"
+ fi
+ fi
+
+ # unfortunate dependency on mpi from hdf5 (bug #302621)
+ use hdf5 && has_version sci-libs/hdf5[mpi] && \
+ export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
+
+ local myeconfargs+=(
+ --localstatedir="${EPREFIX}/var/state/octave"
+ --with-blas="$(pkg-config --libs blas)"
+ --with-lapack="$(pkg-config --libs lapack)"
+ $(use_enable doc docs)
+ $(use_enable readline)
+ $(use_with curl)
+ $(use_with fftw fftw3)
+ $(use_with fftw fftw3f)
+ $(use_with glpk)
+ $(use_with hdf5)
+ $(use_with opengl)
+ $(use_with qhull)
+ $(use_with qrupdate)
+ $(use_with sparse arpack)
+ $(use_with sparse umfpack)
+ $(use_with sparse colamd)
+ $(use_with sparse ccolamd)
+ $(use_with sparse cholmod)
+ $(use_with sparse cxsparse)
+ $(use_with X x)
+ $(use_with zlib z)
+ ${myconf}
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ use doc && dodoc $(find doc -name \*.pdf)
+ [[ -e test/fntests.log ]] && dodoc test/fntests.log
+ echo "LDPATH=${EPREFIX}/usr/$(get_libdir)/${P}" > 99octave
+ doenvd 99octave
+}